Bug 1576693 - upgrade of texlive gives Transaction check error
Summary: upgrade of texlive gives Transaction check error
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-10 07:46 UTC by George R. Goffe
Modified: 2018-05-14 16:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-14 16:13:11 UTC
Type: Bug


Attachments (Terms of Use)

Description George R. Goffe 2018-05-10 07:46:43 UTC
Description of problem:
"dnf -y --best --allowerasing texlive*" has transaction check errors

Version-Release number of selected component (if applicable):
texlive-base-20170520-27.fc29.x86_64

How reproducible:
always

Steps to Reproduce:
1./usr/bin/dnf --best --refresh --skip-broken --allowerasing upgrade
2.
3.

Actual results:
see below

Expected results:
successful upgrade

Additional info:

Error: Transaction check error:
  file /usr/share/texlive/texmf-dist/doc/support/arara/README from install of texlive-arara-7:20180414-1.fc29.noarch conflicts with file from package texlive-arara-doc-6:svn29762.3.0-42.fc29.2.noarch
  file /usr/share/texlive/texmf-dist/doc/support/arara/arara-usermanual.pdf from install of texlive-arara-7:20180414-1.fc29.noarch conflicts with file from package texlive-arara-doc-6:svn29762.3.0-42.fc29.2.noarch
  file /usr/share/texlive/texmf-dist/doc/support/arara/arara-usermanual.tex from install of texlive-arara-7:20180414-1.fc29.noarch conflicts with file from package texlive-arara-doc-6:svn29762.3.0-42.fc29.2.noarch
  file /usr/bin/wordcount from install of texlive-wordcount-7:20180414-1.fc29.noarch conflicts with file from package EMBOSS-6.6.0-10.fc28.x86_64

Comment 1 George R. Goffe 2018-05-13 20:05:31 UTC
Hi,

This is the latest set of errors for upgrading texlive.

Error: Transaction check error:
  file /usr/bin/wordcount from install of texlive-wordcount-7:20180414-1.fc29.noarch conflicts with file from package EMBOSS-6.6.0-10.fc28.x86_64
  file /usr/share/texlive/texmf-dist/doc/support/arara/README from install of texlive-arara-7:20180414-1.fc29.noarch conflicts with file from package texlive-arara-doc-6:svn29762.3.0-42.fc29.2.noarch
  file /usr/share/texlive/texmf-dist/doc/support/arara/arara-usermanual.pdf from install of texlive-arara-7:20180414-1.fc29.noarch conflicts with file from package texlive-arara-doc-6:svn29762.3.0-42.fc29.2.noarch
  file /usr/share/texlive/texmf-dist/doc/support/arara/arara-usermanual.tex from install of texlive-arara-7:20180414-1.fc29.noarch conflicts with file from package texlive-arara-doc-6:svn29762.3.0-42.fc29.2.noarch

Comment 2 Tom "spot" Callaway 2018-05-14 16:13:11 UTC
Thanks for the bug report. This should be fixed with the following updates in rawhide:

* EMBOSS-6.6.0-11.fc29
* texlive-base-20180414-2.fc29
* texlive-2017-7.fc29

If not, please reopen.


Note You need to log in before you can comment on or make changes to this bug.